CREATE TABLE hz_locations_int_a (
    LOCATION_T_ID                     NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    LONGITUDE                         NUMBER        ,
    LATITUDE                          NUMBER        ,
    INTERFACE_ROW_ID                  NUMBER(18, 0) ,
    BATCH_ID                          NUMBER(18, 0)     NOT NULL,
    LOCATION_ORIG_SYSTEM              VARCHAR2(120) ,
    LOCATION_ORIG_SYSTEM_REFERENCE    VARCHAR2(960) ,
    LOCATION_ID                       NUMBER(18, 0) ,
    INSERT_UPDATE_FLAG                VARCHAR2(4)   ,
    ACTION_FLAG                       VARCHAR2(4)   ,
    COUNTRY                           VARCHAR2(8)   ,
    ADDRESS1                          VARCHAR2(960) ,
    ADDRESS2                          VARCHAR2(960) ,
    ADDRESS3                          VARCHAR2(960) ,
    ADDRESS4                          VARCHAR2(960) ,
    FLOOR_NUMBER                      VARCHAR2(160) ,
    BUILDING                          VARCHAR2(960) ,
    CITY                              VARCHAR2(240) ,
    STATE                             VARCHAR2(240) ,
    PROVINCE                          VARCHAR2(240) ,
    COUNTY                            VARCHAR2(240) ,
    ADDRESS_LINES_PHONETIC            VARCHAR2(2240),
    POSTAL_CODE                       VARCHAR2(240) ,
    POSTAL_PLUS4_CODE                 VARCHAR2(40)  ,
    POSITION                          VARCHAR2(200) ,
    LOCATION_DIRECTIONS               VARCHAR2(2560),
    CLLI_CODE                         VARCHAR2(240) ,
    LOCATION_LANGUAGE                 VARCHAR2(16)  ,
    DESCRIPTION                       VARCHAR2(4000),
    SHORT_DESCRIPTION                 VARCHAR2(960) ,
    SALES_TAX_GEOCODE                 VARCHAR2(120) ,
    SALES_TAX_INSIDE_CITY_LIMITS      VARCHAR2(4)   ,
    HOUSE_TYPE                        VARCHAR2(120) ,
    COMMENTS                          VARCHAR2(4000),
    TIMEZONE_CODE                     VARCHAR2(200) ,
    ADDRESS1_STD                      VARCHAR2(960) ,
    ADDRESS2_STD                      VARCHAR2(960) ,
    ADDRESS3_STD                      VARCHAR2(960) ,
    ADDRESS4_STD                      VARCHAR2(960) ,
    CITY_STD                          VARCHAR2(240) ,
    PROVINCE_STD                      VARCHAR2(240) ,
    STATE_STD                         VARCHAR2(240) ,
    COUNTY_STD                        VARCHAR2(240) ,
    COUNTRY_STD                       VARCHAR2(8)   ,
    POSTAL_CODE_STD                   VARCHAR2(240) ,
    ADAPTER_CONTENT_SOURCE            VARCHAR2(120) ,
    ADDR_VALID_STATUS_CODE            VARCHAR2(120) ,
    DATE_VALIDATED                    DATE          ,
    ADDRESS_EFFECTIVE_DATE            DATE          ,
    ADDRESS_EXPIRATION_DATE           DATE          ,
    VALIDATED_FLAG                    VARCHAR2(4)   ,
    DO_NOT_VALIDATE_FLAG              VARCHAR2(4)   ,
    INTERNAL_FLAG                     VARCHAR2(4)   ,
    INTERFACE_STATUS                  VARCHAR2(120) ,
    ERROR_ID                          NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(1020),
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_NUMBER11                NUMBER        ,
    ATTRIBUTE_NUMBER12                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_DATE6                   DATE          ,
    ATTRIBUTE_DATE7                   DATE          ,
    ATTRIBUTE_DATE8                   DATE          ,
    ATTRIBUTE_DATE9                   DATE          ,
    ATTRIBUTE_DATE10                  DATE          ,
    ATTRIBUTE_DATE11                  DATE          ,
    ATTRIBUTE_DATE12                  DATE          ,
    ADDR_ELEMENT_ATTRIBUTE1           VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2           VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3           VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4           VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5           VARCHAR2(600) ,
    FILE_RECORD_NUM                   NUMBER(10, 0) ,
    TRANSLITERATION_LANG              VARCHAR2(16)  ,
    LL_POSTAL_CODE                    VARCHAR2(240) ,
    LL_POSTAL_PLUS4CODE               VARCHAR2(40)  ,
    LL_STATE                          VARCHAR2(240) ,
    LL_PROVINCE                       VARCHAR2(240) ,
    LL_COUNTY                         VARCHAR2(240) ,
    LL_CITY                           VARCHAR2(240) ,
    LL_ADDRESS1                       VARCHAR2(960) ,
    LL_ADDRESS2                       VARCHAR2(960) ,
    LL_ADDRESS3                       VARCHAR2(960) ,
    LL_ADDRESS4                       VARCHAR2(960) ,
    LL_BUILDING                       VARCHAR2(960) ,
    LL_FLOOR_NUMBER                   VARCHAR2(960) ,
    LL_ADDR_ELEMENT_ATTRIBUTE1        VARCHAR2(600) ,
    LL_ADDR_ELEMENT_ATTRIBUTE2        VARCHAR2(600) ,
    LL_ADDR_ELEMENT_ATTRIBUTE3        VARCHAR2(600) ,
    LL_ADDR_ELEMENT_ATTRIBUTE4        VARCHAR2(600) ,
    LL_ADDR_ELEMENT_ATTRIBUTE5        VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2_STD       VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3_STD       VARCHAR2(600) ,
    POSTAL_PLUS4_CODE_STD             VARCHAR2(40)  ,
    GNR_STATUS                        VARCHAR2(16)  ,
    ACTION_CODE                       VARCHAR2(120) ,
    IMPORT_STATUS_CODE                VARCHAR2(120) ,
    LOAD_REQUEST_ID                   NUMBER(18, 0) ,
    FILE_NAME_SYSTASK_ID              NUMBER(18, 0) ,
    PARTYSITE_INT_ROWID               NUMBER(18, 0) ,
    LOCATION_T_ID                     NUMBER(18, 0) ,
    CREATED_BY                        VARCHAR2(256)     NOT NULL,
    CREATION_DATE                     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                   VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                 VARCHAR2(128) ,
    LONGITUDE                         NUMBER        ,
    LATITUDE                          NUMBER        ,
    INTERFACE_ROW_ID                  NUMBER(18, 0) ,
    BATCH_ID                          NUMBER(18, 0)     NOT NULL,
    LOCATION_ORIG_SYSTEM              VARCHAR2(120) ,
    LOCATION_ORIG_SYSTEM_REFERENCE    VARCHAR2(960) ,
    LOCATION_ID                       NUMBER(18, 0) ,
    INSERT_UPDATE_FLAG                VARCHAR2(4)   ,
    ACTION_FLAG                       VARCHAR2(4)   ,
    COUNTRY                           VARCHAR2(8)   ,
    ADDRESS1                          VARCHAR2(960) ,
    ADDRESS2                          VARCHAR2(960) ,
    ADDRESS3                          VARCHAR2(960) ,
    ADDRESS4                          VARCHAR2(960) ,
    FLOOR_NUMBER                      VARCHAR2(160) ,
    BUILDING                          VARCHAR2(960) ,
    CITY                              VARCHAR2(240) ,
    STATE                             VARCHAR2(240) ,
    PROVINCE                          VARCHAR2(240) ,
    COUNTY                            VARCHAR2(240) ,
    ADDRESS_LINES_PHONETIC            VARCHAR2(2240),
    POSTAL_CODE                       VARCHAR2(240) ,
    POSTAL_PLUS4_CODE                 VARCHAR2(40)  ,
    POSITION                          VARCHAR2(200) ,
    LOCATION_DIRECTIONS               VARCHAR2(2560),
    CLLI_CODE                         VARCHAR2(240) ,
    LOCATION_LANGUAGE                 VARCHAR2(16)  ,
    DESCRIPTION                       VARCHAR2(4000),
    SHORT_DESCRIPTION                 VARCHAR2(960) ,
    SALES_TAX_GEOCODE                 VARCHAR2(120) ,
    SALES_TAX_INSIDE_CITY_LIMITS      VARCHAR2(4)   ,
    HOUSE_TYPE                        VARCHAR2(120) ,
    COMMENTS                          VARCHAR2(4000),
    TIMEZONE_CODE                     VARCHAR2(200) ,
    ADDRESS1_STD                      VARCHAR2(960) ,
    ADDRESS2_STD                      VARCHAR2(960) ,
    ADDRESS3_STD                      VARCHAR2(960) ,
    ADDRESS4_STD                      VARCHAR2(960) ,
    CITY_STD                          VARCHAR2(240) ,
    PROVINCE_STD                      VARCHAR2(240) ,
    STATE_STD                         VARCHAR2(240) ,
    COUNTY_STD                        VARCHAR2(240) ,
    COUNTRY_STD                       VARCHAR2(8)   ,
    POSTAL_CODE_STD                   VARCHAR2(240) ,
    ADAPTER_CONTENT_SOURCE            VARCHAR2(120) ,
    ADDR_VALID_STATUS_CODE            VARCHAR2(120) ,
    DATE_VALIDATED                    DATE          ,
    ADDRESS_EFFECTIVE_DATE            DATE          ,
    ADDRESS_EXPIRATION_DATE           DATE          ,
    VALIDATED_FLAG                    VARCHAR2(4)   ,
    DO_NOT_VALIDATE_FLAG              VARCHAR2(4)   ,
    INTERNAL_FLAG                     VARCHAR2(4)   ,
    INTERFACE_STATUS                  VARCHAR2(120) ,
    ERROR_ID                          NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY                VARCHAR2(120) ,
    ATTRIBUTE1                        VARCHAR2(600) ,
    ATTRIBUTE2                        VARCHAR2(600) ,
    ATTRIBUTE3                        VARCHAR2(600) ,
    ATTRIBUTE4                        VARCHAR2(600) ,
    ATTRIBUTE5                        VARCHAR2(600) ,
    ATTRIBUTE6                        VARCHAR2(600) ,
    ATTRIBUTE7                        VARCHAR2(600) ,
    ATTRIBUTE8                        VARCHAR2(600) ,
    ATTRIBUTE9                        VARCHAR2(600) ,
    ATTRIBUTE10                       VARCHAR2(600) ,
    ATTRIBUTE11                       VARCHAR2(600) ,
    ATTRIBUTE12                       VARCHAR2(600) ,
    ATTRIBUTE13                       VARCHAR2(600) ,
    ATTRIBUTE14                       VARCHAR2(600) ,
    ATTRIBUTE15                       VARCHAR2(600) ,
    ATTRIBUTE16                       VARCHAR2(600) ,
    ATTRIBUTE17                       VARCHAR2(600) ,
    ATTRIBUTE18                       VARCHAR2(600) ,
    ATTRIBUTE19                       VARCHAR2(600) ,
    ATTRIBUTE20                       VARCHAR2(600) ,
    ATTRIBUTE21                       VARCHAR2(600) ,
    ATTRIBUTE22                       VARCHAR2(600) ,
    ATTRIBUTE23                       VARCHAR2(600) ,
    ATTRIBUTE24                       VARCHAR2(600) ,
    ATTRIBUTE25                       VARCHAR2(600) ,
    ATTRIBUTE26                       VARCHAR2(600) ,
    ATTRIBUTE27                       VARCHAR2(600) ,
    ATTRIBUTE28                       VARCHAR2(600) ,
    ATTRIBUTE29                       VARCHAR2(600) ,
    ATTRIBUTE30                       VARCHAR2(1020),
    ATTRIBUTE_NUMBER1                 NUMBER        ,
    ATTRIBUTE_NUMBER2                 NUMBER        ,
    ATTRIBUTE_NUMBER3                 NUMBER        ,
    ATTRIBUTE_NUMBER4                 NUMBER        ,
    ATTRIBUTE_NUMBER5                 NUMBER        ,
    ATTRIBUTE_NUMBER6                 NUMBER        ,
    ATTRIBUTE_NUMBER7                 NUMBER        ,
    ATTRIBUTE_NUMBER8                 NUMBER        ,
    ATTRIBUTE_NUMBER9                 NUMBER        ,
    ATTRIBUTE_NUMBER10                NUMBER        ,
    ATTRIBUTE_NUMBER11                NUMBER        ,
    ATTRIBUTE_NUMBER12                NUMBER        ,
    ATTRIBUTE_DATE1                   DATE          ,
    ATTRIBUTE_DATE2                   DATE          ,
    ATTRIBUTE_DATE3                   DATE          ,
    ATTRIBUTE_DATE4                   DATE          ,
    ATTRIBUTE_DATE5                   DATE          ,
    ATTRIBUTE_DATE6                   DATE          ,
    ATTRIBUTE_DATE7                   DATE          ,
    ATTRIBUTE_DATE8                   DATE          ,
    ATTRIBUTE_DATE9                   DATE          ,
    ATTRIBUTE_DATE10                  DATE          ,
    ATTRIBUTE_DATE11                  DATE          ,
    ATTRIBUTE_DATE12                  DATE          ,
    ADDR_ELEMENT_ATTRIBUTE1           VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2           VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3           VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE4           VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE5           VARCHAR2(600) ,
    FILE_RECORD_NUM                   NUMBER(10, 0) ,
    TRANSLITERATION_LANG              VARCHAR2(16)  ,
    LL_POSTAL_CODE                    VARCHAR2(240) ,
    LL_POSTAL_PLUS4CODE               VARCHAR2(40)  ,
    LL_STATE                          VARCHAR2(240) ,
    LL_PROVINCE                       VARCHAR2(240) ,
    LL_COUNTY                         VARCHAR2(240) ,
    LL_CITY                           VARCHAR2(240) ,
    LL_ADDRESS1                       VARCHAR2(960) ,
    LL_ADDRESS2                       VARCHAR2(960) ,
    LL_ADDRESS3                       VARCHAR2(960) ,
    LL_ADDRESS4                       VARCHAR2(960) ,
    LL_BUILDING                       VARCHAR2(960) ,
    LL_FLOOR_NUMBER                   VARCHAR2(960) ,
    LL_ADDR_ELEMENT_ATTRIBUTE1        VARCHAR2(600) ,
    LL_ADDR_ELEMENT_ATTRIBUTE2        VARCHAR2(600) ,
    LL_ADDR_ELEMENT_ATTRIBUTE3        VARCHAR2(600) ,
    LL_ADDR_ELEMENT_ATTRIBUTE4        VARCHAR2(600) ,
    LL_ADDR_ELEMENT_ATTRIBUTE5        VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE2_STD       VARCHAR2(600) ,
    ADDR_ELEMENT_ATTRIBUTE3_STD       VARCHAR2(600) ,
    POSTAL_PLUS4_CODE_STD             VARCHAR2(40)  ,
    GNR_STATUS                        VARCHAR2(16)  ,
    ACTION_CODE                       VARCHAR2(120) ,
    IMPORT_STATUS_CODE                VARCHAR2(120) ,
    LOAD_REQUEST_ID                   NUMBER(18, 0) ,
    FILE_NAME_SYSTASK_ID              NUMBER(18, 0) ,
    PARTYSITE_INT_ROWID               NUMBER(18, 0) 
);
